<?php $class = $this->cookie->flowViewType == 'list' ? '' : 'hide';?>
<div class='main-table <?php echo $class;?>' id='listMode' data-ride='table'>
  <table class='table has-sort-head table-fixed'>
    <thead>
      <tr>
        <?php $vars="&parent=$currentParent&app=$currentApp&orderBy=%s";?>
        <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->workflow->id);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->workflow->name);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('module', $orderBy, $vars, $lang->workflow->module);?></th>
        <?php if($type == 'flow' and empty($currentApp)):?>
        <th class='w-100px'><?php commonModel::printOrderLink('app', $orderBy, $vars, $lang->workflow->app);?></th>
        <?php endif;?>
        <th class='w-100px text-center'><?php commonModel::printOrderLink('buildin', $orderBy, $vars, $lang->workflow->buildin);?></th>
        <th><?php echo $lang->workflow->desc;?></th>
        <?php $actionWidth = 'action' . ucfirst($type) . 'Width';?>
        <th style='width: <?php echo $lang->workflow->$actionWidth;?>px'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($flows as $flow):?>
      <tr data-module='<?php echo $flow->module;?>'>
        <td><?php echo $flow->id;?></td>
        <td title="<?php echo $flow->name;?>">
          <?php if(!extCommonModel::printLink('workflow', 'view', "id=$flow->id", $flow->name, "data-toggle='modal'")) echo $flow->name;?>
        </td>
        <td><?php echo $flow->module;?></td>
        <?php if($type == 'flow' and empty($currentApp)):?>
        <td><?php echo zget($apps, $flow->app, '');?></td>
        <?php endif;?>
        <td class='text-center buildin<?php echo $flow->buildin;?>'>
          <?php echo $flow->buildin ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?>
        </td>
        <td title='<?php echo $flow->desc;?>'><?php echo $flow->desc;?></td>
        <td>
          <?php
          extCommonModel::printLink('workflowfield', 'browse', "module=$flow->module", $lang->workflow->field);
      
          if($type == 'flow')
          {
              extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflow->action);
      
              if(!$flow->buildin && commonModel::hasPriv('workflowlabel', 'browse'))
              {
                  echo baseHTML::a($this->createLink('workflowlabel', 'browse', "module=$flow->module"), $lang->workflow->label);
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noLabel : '';
                  echo baseHTML::a('javascript:;', $lang->workflow->label, "class='disabled' title='{$title}'");
              }
      
              if(!$flow->buildin && commonModel::hasPriv('workflow', 'browseDB'))
              {
                  $title = sprintf($lang->workflow->title->subTable, $flow->name);
                  echo baseHTML::a(inlink('browseDB', "parent=$flow->module&app=$flow->app"), $lang->workflow->subTable, "title='$title'");
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noSubTable: '';
                  echo baseHTML::a('javascript:;', $lang->workflow->subTable, "class='disabled' title='{$title}'");
              }
      
              if(!$flow->buildin && commonModel::hasPriv('workflowrelation', 'admin'))
              {
                  echo baseHTML::a($this->createLink('workflowrelation', 'admin', "module=$flow->module"), $lang->workflow->relation, "data-toggle='modal' data-width='950'");
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noRelation : '';
                  echo baseHTML::a('javascript:;', $lang->workflow->relation, "class='disabled' title='{$title}'");
              }
      
              if(!$flow->buildin && commonModel::hasPriv('workflow', 'setJS'))
              {
                  echo baseHTML::a(inlink('setJS', "id=$flow->id"), $lang->workflow->setJS, "data-toggle='modal'");
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noJS : '';
                  echo baseHTML::a('javascript:;', $lang->workflow->setJS, "class='disabled' title='{$title}'");
              }
      
              if(!$flow->buildin && commonModel::hasPriv('workflow', 'setCSS'))
              {
                  echo baseHTML::a(inlink('setCSS', "id=$flow->id"), $lang->workflow->setCSS, "data-toggle='modal'");
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noCSS : '';
                  echo baseHTML::a('javascript:;', $lang->workflow->setCSS, "class='disabled' title='{$title}'");
              }
      
              if(!$flow->buildin && commonModel::hasPriv('workflow', 'copy'))
              {
                  echo baseHTML::a(inlink('copy', "module=$flow->module"), $lang->workflow->copyFlow, "data-toggle='modal' data-width='600'");
              }
              else
              {
                  $title = $flow->buildin ? $lang->workflow->title->noCopy : '';
                  echo baseHTML::a('javascript:;', $lang->workflow->copyFlow, "class='disabled' title='{$title}'");
              }
          }
      
          extCommonModel::printLink('workflow', 'edit', "id=$flow->id", $lang->edit, "data-toggle='modal' data-width='600'");
      
          if(!$flow->buildin && commonModel::hasPriv('workflow', 'delete'))
          {
              extCommonModel::printLink('workflow', 'delete', "id=$flow->id", $lang->delete, "class='deleter'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->delete, "class='disabled'");
          }
          ?>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
  <div class='table-footer'><?php $pager->show('right', 'pagerjs');?></div>
</div>
