<?php
/**
 * The browse view file of workflowfield module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflowfield
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/sortable.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo baseHTML::a("javascript:history.go(-1);", '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text" title='<?php echo $flow->name; ?>'><?php echo $flow->name . $lang->minus . $lang->workflowfield->browse;?></span>
    </div>
  </div>
  <div class='menu-actions pull-right'>
    <?php echo baseHTML::a("javascript:;", "<i class='icon icon-cards-view'></i>", "data-mode='card' class='mode-toggle btn'");?>
    <?php echo baseHTML::a("javascript:;", "<i class='icon icon-bars'></i>", "data-mode='list' class='mode-toggle btn'");?>
    <?php extCommonModel::printLink('workflowfield', 'setExport', "module=$flow->module", '<i class="icon-cog"> </i> ' . $lang->workflowfield->setExport, 'class="btn btn-primary" data-toggle="modal"');?>
    <?php extCommonModel::printLink('workflowfield', 'create', "module=$flow->module", '<i class="icon-plus"> </i> ' . $lang->workflowfield->create, 'class="btn btn-primary"');?>
  </div>
</div>
<?php $class = $this->cookie->fieldViewType == 'card' ? '' : 'hide';?>
<div class='row <?php echo $class;?>' id='cardMode'>
  <?php foreach($fields as $field):?>
  <div class='col-md-3 col-sm-6'>
    <div class='main-table panel panel-block flow-block'>
      <div class='main-table panel-heading'>
        <strong><?php echo $field->name . ' - ' . $field->field;?></strong>
      </div>
      <div class='main-table panel-body'>
        <div class='info'>
          <div><strong><?php echo $lang->workflowfield->control;?></strong>&nbsp;&nbsp;<span class='text-important'><?php echo zget($lang->workflowfield->controlTypeList, $field->control, '');?></span></div>
          <div><strong><?php echo $lang->workflowfield->defaultValue;?></strong>&nbsp;&nbsp;<span class='text-important'><?php echo $field->default;?></span></div>
        </div>
        <div class='footerbar pull-right'>
          <?php
          extCommonModel::printLink('workflowfield', 'edit', "module=$field->module&id=$field->id", $lang->edit, "class='btn btn-primary'");
          if(!$field->buildin && !isset($config->workflowfield->default->fields[$field->field]))
          {
              extCommonModel::printLink('workflowfield', 'delete', "id=$field->id", $lang->delete, "class='btn btn-primary deleter'");
          }
          ?>
        </div>
      </div>
    </div>
  </div>
  <?php endforeach;?>
</div>
<?php $class = $this->cookie->fieldViewType == 'list' ? '' : 'hide';?>
<div class='main-table <?php echo $class;?>' id='listMode' data-ride='table'>
  <table class='table has-sort-head'>
    <thead>
      <tr>
        <?php $vars="&module={$flow->module}&orderBy=%s";?>
        <th class='w-40px text-center'> <?php echo $lang->sort;?></th>
        <th class='w-70px'> <?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->workflowfield->id);?></th>
        <th class='w-120px'><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->workflowfield->name);?></th>
        <th class='w-120px'><?php commonModel::printOrderLink('field', $orderBy, $vars, $lang->workflowfield->field);?></th>
        <th class='w-160px'><?php commonModel::printOrderLink('control', $orderBy, $vars, $lang->workflowfield->control);?></th>
        <th class='w-200px'><?php commonModel::printOrderLink('default', $orderBy, $vars, $lang->workflowfield->defaultValue);?></th>
        <?php if($flow->buildin):?>
        <th class='w-60px text-center'><?php commonModel::printOrderLink('buildin', $orderBy, $vars, $lang->workflowfield->buildin);?></th>
        <?php endif;?>
        <?php if($flow->type == 'flow'):?>
        <th class='w-60px text-center'><?php echo $lang->workflowfield->canExport;?></th>
        <th class='w-60px text-center'><?php echo $lang->workflowfield->canSearch;?></th>
        <?php endif;?>
        <th class='w-60px text-center'><?php echo $lang->workflowfield->isKeyValue;?></th>
        <th class='w-60px'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody class='sortable' id='fieldList'>
      <?php foreach($fields as $field):?>
      <tr data-id='<?php echo $field->id;?>'>
        <td class='sort-handler text-center'><i class='icon icon-move text-muted'></i></td>
        <td><?php echo $field->id;?></td>
        <td><?php echo $field->name;?></td>
        <td><?php echo $field->field;?></td>
        <td><?php echo zget($lang->workflowfield->controlTypeList, $field->control, '');?></td>
        <td><?php echo is_array($field->options) ? zget($field->options, $field->default) : $field->default;?></td>
        <?php if($flow->buildin):?>
        <td class='text-center'>
          <?php echo $field->buildin ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?>
        </td>
        <?php endif;?>
        <?php if($flow->type == 'flow'):?>
        <td class='text-center exportStatus<?php echo $field->canExport;?>'>
          <?php echo $field->canExport ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?>
        </td>
        <td class='text-center searchStatus<?php echo $field->canSearch;?>'>
          <?php echo $field->canSearch ? "<i class='icon icon-check'></i>" : "<i class='icon icon-close'></i>";?>
        </td>
        <?php endif;?>
        <td class='text-center'>
          <?php if($field->isKey) echo $lang->workflowfield->keyValueList['key'] . '  ';?>
          <?php if($field->isValue) echo $lang->workflowfield->keyValueList['value'];?>
        </td>
        <td>
          <?php
          extCommonModel::printLink('workflowfield', 'edit', "module=$field->module&id=$field->id", $lang->edit);
          if($field->buildin or isset($config->workflowfield->default->fields[$field->field]))
          {
              echo baseHTML::a('javascript:;', $lang->delete, "class='disabled'");
          }
          else
          {
              extCommonModel::printLink('workflowfield', 'delete', "id=$field->id", $lang->delete, "class='deleter'");
          }
          ?>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
