$(function()
{
    $(document).on('change', '.hookForm #conditionType', function()
    {
        $('.sqlTR').toggle($(this).val() == 'sql');
        $('.dataTR').toggle($(this).val() == 'data');
    });

    $(document).on('change', '.hookForm #action, .hookForm #table', function()
    {
        $('.fieldTR').toggle($('#action').val() != 'delete');
        
        if($('#action').val() == 'insert')
        {
            $('.whereTR').hide().find('input,select').attr('disabled', 'disabled');
        }
        else
        {
            $('.whereTR').show().find('input,select').removeAttr('disabled');
        }

        if($(this).attr('id') == 'table')
        {
            var link = createLink('workflowhook', 'ajaxGetTableFields', 'table=' + $(this).val());
            $('.field').load(link, function()
            {
                $('.field').trigger('chosen:updated');
            });
        }
    });

    $(document).on('click', '.hookForm .toggleCondition', function()
    {
        var val = $('#condition').val() == 1 ? 0 : 1;
        $('#condition').val(val);
        $('#conditionDIV').toggle();
    });

    $(document).on('change', '.hookForm [name^=paramType], .hookForm [name*=\\[field\\]], .hookForm [name*=\\[paramType\\]]', function()
    {
        var $tr       = $(this).parents('tr');
        var paramType = $tr.find('[name*=paramType]').val();
        if(paramType != 'custom')
        {
            var name = 'param[]';
            if($tr.hasClass('dataTR'))  name = 'conditions[param][]';
            if($tr.hasClass('fieldTR')) name = 'fields[param][]';
            if($tr.hasClass('whereTR')) name = 'wheres[param][]';

            $tr.find('span.param').html("<select name='" + name + "' id='param' class='form-control chosen'></select>");
            $tr.find('span.param .chosen').chosen(window.chosenDefaultOptions);
        }

        if(paramType == 'today' || paramType == 'now' || paramType == 'actor' || paramType == 'deptManager')
        {
            $tr.find('input#param').removeAttr('disabled').attr('readonly', 'readonly').val('').show();
            $tr.find('select#param').removeAttr('disabled');
            $tr.find('#param_chosen').hide();
        }
        else if(paramType == 'custom')
        {
            $tr.find('input#param').attr('disabled', 'disabled').hide();
            var field = $tr.find('[name*=\\[field\\]]').val() || '';
            var value = $tr.find('input#param').val();
            var name  = $tr.find('input#param').attr('name');
            var id    = $tr.find('input#param').attr('id');

            value = window.btoa(encodeURI(value));
            name  = window.btoa(encodeURI(name));
            var link = createLink('workflowfield', 'ajaxGetFieldControl', 'module=' + ($tr.hasClass('dataTR') ? module : $('#table').val()) + '&field=' + field + '&value=' + value + '&elementName=' + name + '&elementID=' + id);

            $tr.find('span.param').load(link, function()
            {
                if($tr.attr('class') == 'whereTR' && $tr.is(':hidden'))
                {
                    $tr.find('span.param input#param').attr('disabled', 'disabled');
                }

                $tr.find('span.param .chosen').chosen(window.chosenDefaultOptions);

                $tr.find('span.param .form-datetime').datetimepicker(
                {
                    language:  config.clientLang,
                    weekStart: 1,
                    todayBtn:  1,
                    autoclose: 1,
                    todayHighlight: 1,
                    startView: 2,
                    forceParse: 0,
                    showMeridian: 1,
                    format: 'yyyy-mm-dd hh:ii'
                });

                $tr.find('span.param .form-date').datetimepicker(
                {
                    language:  config.clientLang,
                    weekStart: 1,
                    todayBtn:  1,
                    autoclose: 1,
                    todayHighlight: 1,
                    startView: 2,
                    minView: 2,
                    forceParse: 0,
                    format: 'yyyy-mm-dd'
                });
            });
        }
        else if(paramType == 'form')
        {
            $tr.find('input#param').attr('disabled', 'disabled').hide();
            $tr.find('#param_chosen .chosen-single span').html('');
            $tr.find('#param_chosen').show();
            $tr.find('#param_chosen .chosen-single').focus();
            var value = $tr.find('input#param').val();
            $tr.find('select#param').removeAttr('disabled').empty().append($('#formFieldsDIV').html());
            $tr.find('select#param').val(value).trigger('chosen:updated');
        }
        else if(paramType == 'record')
        {
            $tr.find('input#param').attr('disabled', 'disabled').hide();
            $tr.find('#param_chosen .chosen-single span').html('');
            $tr.find('#param_chosen').show();
            $tr.find('#param_chosen .chosen-single').focus();
            var value = $tr.find('input#param').val();
            $tr.find('select#param').removeAttr('disabled').empty().append($('#recordFieldsDIV').html());
            $tr.find('select#param').val(value).trigger('chosen:updated');
        }
        else
        {
            $tr.find('input#param').attr('disabled', 'disabled').hide();
            var value = $tr.find('input#param').val();

            value = window.btoa(encodeURI(value));

            var link  = createLink('workflowfield', 'ajaxGetParamOptions', 'paramType=' + paramType + '&param=' + value);
            $tr.find('select#param').removeAttr('disabled').load(link, function()
            {
                $tr.find('select#param').trigger('chosen:updated');
            });
            $tr.find('#param_chosen .chosen-single span').html('');
            $tr.find('#param_chosen').show();
            $tr.find('#param_chosen .chosen-single').focus();
        }
    });

    $(document).on('click', '.hookForm .addVar, .hookForm .addCondition, .hookForm .addField, .hookForm .addWhere', function()
    {
        var $tr = $(this).parents('tr');
        if($(this).hasClass('addVar'))
        {
            $tr.after(varRow);
        }
        else if($(this).hasClass('addCondition'))
        {
            $tr.after(conditionRow);
        }
        else if($(this).hasClass('addField'))
        {
            $tr.after(fieldRow);

            var link = createLink('workflowhook', 'ajaxGetTableFields', 'table=' + $('#table').val());
            $tr.next('tr').find('.field').load(link, function()
            {
                $(this).trigger('chosen:updated');
            });
        }
        else if($(this).hasClass('addWhere'))
        {
            $tr.after(whereRow);

            var link = createLink('workflowhook', 'ajaxGetTableFields', 'table=' + $('#table').val());
            $tr.next('tr').find('.field').load(link, function()
            {
                $(this).trigger('chosen:updated');
            });
        }
        $tr.next().find('.chosen').chosen(window.chosenDefaultOptions);
        $tr.next().find('#param_chosen').hide();
    });

    $(document).on('click', '.hookForm .delVar, .hookForm .delCondition, .hookForm .delField, .hookForm .delWhere', function()
    {
        if($(this).hasClass('delVar'))
        {
            $('#sql').val($('#sql').val().replace("'$" + $(this).parents('tr').find('#varName').val() + "'", ''));
            if($('.delVar').size() == 1) 
            { 
                $(this).parents('tr').find('input,select').val('').find('.chosen').trigger('chosen:updated');
                $(this).parents('tr').find('.chosen-single span').html('');
                return;
            }
        }

        $(this).parents('tr').remove();
    });

    $(document).on('change', '.hookForm [name*=varName]', function()
    {
        if($(this).val() != '') $('#sql').val($('#sql').val() + "'$" + $(this).val() + "'");
    });
})
